require 'active_support'
require 'active_support/hash_with_indifferent_access'

class Rails
  def self.env
    ActiveSupport::StringInquirer.new($rails_env.to_s || "test")
  end
end

module RailsEnvHelpers
  def with_rails_env(new_env)
    old_env = $rails_env
    $rails_env = new_env
    yield
  ensure
    $rails_env = old_env
  end
end
